<%inherit file="../base.mako"/>
<%def name="title()">${_(u"List of Results")}</%def>

<%def name="result_menu_style()">class="active"</%def>

<%namespace file="../base.mako" import="box_start" />
<%namespace file="../base.mako" import="box_end" />

${box_start(_(u"Find Results"))}
${h.form(h.url_for(controller='result', action='filter'))}
<table>
  <tr>
    <td valign="top">${_(u"Url contains:")}${h.text(name="searchmask",id="searchmask")}</td>
    <td>
        <select id="resultType" multiple="multiple" name="resultType" size="5">
            <option selected value="any">${_(u"Any Type")}</option>
            %for type in c.resulttypes:
                <option value="${type.id}">${type.type_name}</option>
            %endfor
        </select>
    </td>
    <td/>
  </tr>
  <tr>
    <td>${h.checkbox(name="datefilter",id="datefilter")}${_(u"Only ")}
        ${_(u"From: ")}<input id="datefrom" value="2011-01-01" type="date">
    <td>${_(u"To: ")}  <input id="dateto"   value="${c.dtnow.strftime("%Y-%m-%d")}"></td>
    <td/>
  </tr>
  <tr>
    <td valign="top">${_(u"From Scan:")} </td>
    <td>
        <select id="scanrun" name="scanrun" size="1">
            <option selected value="any">${_(u"Any Scan")}</option>
            %for scanrun in c.scanruns:
                <option value="${scanrun.id}">
                    ${scanrun.scanconfiguration.name + " - " + \
                      scanrun.starttime.strftime("%d.%m.%Y - %H:%M:%S)")}
                </option>
            %endfor
        </select>
    </td>
    <td>
      ${h.submit(name="button", value=_(u"Filter"))}
    </td>
  </tr>
</table>
${h.end_form()}
${box_end()}

${box_start(_(u"Results"))}
%if len(c.visit_paginator):
 <p>${c.visit_paginator.pager('$link_first $link_previous $first_item to $last_item of $item_count $link_next $link_last')}</p>
 <ul>
  %for visit in c.visit_paginator:
   <li>${h.link_to("%s at %s" % (", ".join([url.url for url in visit.urls]), visit.date),
                   h.url_for(controller='result',action='view_visit',id=visit.id))}</li>
  %endfor
 </ul>
 ${c.visit_paginator.pager('~2~')}
%else:
 ${_(u"No results yet.")}
%endif
${box_end()}
